PHP, which is a meta-acronym for PHP: Hypertext Preprocessor, is amongst the most widely used coding languages out there. Any website or application built using PHP will run on a given web server on the condition that a PHP module is installed, which makes the language really universal and it isn’t a big surprise that there are a few million web servers that support it and hundreds of millions of PHP-powered websites hosted on them. PHP is preferred over HTML because of the fact that it enables you to create an interactive website with lots of different features. A PHP-based community site, for example, will show different content to each user despite the fact that the page URL will stay the same. In contrast, HTML sites are static and the page content itself can be modified only manually. Like any other piece of software, PHP has several versions and the one that was used while developing a specific website must be installed on the web server in order for the site to work correctly.

PHP 4, PHP 5 and PHP 7 Support in Web Hosting

If you purchase a web hosting plan from our company, you won’t ever need to speculate about whether or not your websites are compatible with the web hosting platform, since different versions of PHP are installed on our servers for your convenience. The Hepsia Control Panel will allow you to pick PHP 4, PHP 5 and PHP 7 with only one mouse click and if you want to change the version, the update will take effect instantly. In this way, years of work on websites created with an older version will not be wasted. Our hosting platform will even allow you to use a different PHP version for each domain hosted in your account, which suggests that you can run newer and older scripts simultaneously. Most web hosting companies on the market support one, sometimes two versions of PHP. In contrast with them, we strongly think that you should be the one to choose the version that your very own sites will use.

PHP 4, PHP 5 and PHP 7 Support in Semi-dedicated Hosting

If you have a website created using a previous PHP version and you’ve contributed time and efforts to developing it, patching security loopholes and publishing web page content, you’ll need to find a hosting service that can support it, since almost all web hosting companies today support only the newest PHP version and remove the older versions. We, on the other hand, have decided to allow you to pick the exact version that your websites require. Our semi-dedicated packages support PHP 4, PHP 5 and PHP 7, which suggests that you’ll be able to run both older and newer scripts without losing any manual settings or wasting time striving to make your websites compatible with the hosting environment. The version can be changed from the Hepsia Control Panel and such an update will apply to the whole account, but you’ll also be able to specify a different version for each single website hosted in your account by using an .htaccess config file.

    • Our ID: 287259